@echo off
setlocal


for /f "tokens=4-5 delims=. " %%i in ('ver') do set VERSION=%%i.%%j
if "%version%" == "6.1" goto ver_7 
if "%version%" == "6.2" goto ver_8 
if "%version%" == "6.3" goto ver_8_1
if "%version%" == "10.0" goto ver_10

else

goto exit

:ver_7

@if /I "%PROCESSOR_ARCHITECTURE%" == "AMD64" (
  start "" "%cd%\Win7\64-bit\setup.exe" "/L" "0x409"
) else if /I "%PROCESSOR_ARCHITECTURE%" == "X86" (
  @if /I "%PROCESSOR_ARCHITEW6432%" == "AMD64" (
    REM echo Installing driver from 32-bit installer on 64-bit OS (WOW64)
    start "" "%cd%/Win7\64-bit\setup.exe" "/L" "0x409"
  ) else (
    REM echo Installing driver from 32-bit installer on 32-bit OS
	start "" "%cd%\Win7\32-bit\setup.exe" "/L" "0x409"
  )
)


goto exit

:ver_8

@if /I "%PROCESSOR_ARCHITECTURE%" == "AMD64" (
  start "" "%cd%\Win8\64-bit\setup.exe" "/L" "0x409"
) else if /I "%PROCESSOR_ARCHITECTURE%" == "X86" (
  @if /I "%PROCESSOR_ARCHITEW6432%" == "AMD64" (
    REM echo Installing driver from 32-bit installer on 64-bit OS (WOW64)
    start "" "%cd%\Win8\64-bit\setup.exe" "/L" "0x409"
  ) else (
    REM echo Installing driver from 32-bit installer on 32-bit OS
	start "" "%cd%\Win8\32-bit\setup.exe" "/L" "0x409"
  )
)

goto exit

:ver_8_1

@if /I "%PROCESSOR_ARCHITECTURE%" == "AMD64" (
  start "" "%cd%\Win81\64-bit\setup.exe" "/L" "0x409"
) else if /I "%PROCESSOR_ARCHITECTURE%" == "X86" (
  @if /I "%PROCESSOR_ARCHITEW6432%" == "AMD64" (
    REM echo Installing driver from 32-bit installer on 64-bit OS (WOW64)
    start "" "%cd%\Win81\64-bit\setup.exe" "/L" "0x409"
  ) else (
    REM echo Installing driver from 32-bit installer on 32-bit OS
	start "" "%cd%\Win81\32-bit\setup.exe" "/L" "0x409"
  )
)

goto exit

:ver_10

@if /I "%PROCESSOR_ARCHITECTURE%" == "AMD64" (
  start "" "%cd%\Win10\64-bit\setup.exe" "/L" "0x409"
) else if /I "%PROCESSOR_ARCHITECTURE%" == "X86" (
  @if /I "%PROCESSOR_ARCHITEW6432%" == "AMD64" (
    REM echo Installing driver from 32-bit installer on 64-bit OS (WOW64)
    start "" "%cd%\Win10\64-bit\setup.exe" "/L" "0x409"
  ) else (
    REM echo Installing driver from 32-bit installer on 32-bit OS
	start "" "%cd%\Win10\32-bit\setup.exe" "/L" "0x409"
  )
)

goto exit

:exit

endlocal